<?xml version="1.0"?>
<?xml-stylesheet type="text/css" href="http://docs.hostway.com/skins/common/feed.css?303"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Accounts-accountNumber-web-domainName-ssh-SshUsername%3AGET</id>
		<title>Accounts-accountNumber-web-domainName-ssh-SshUsername:GET - Revision history</title>
		<link rel="self" type="application/atom+xml" href="http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Accounts-accountNumber-web-domainName-ssh-SshUsername%3AGET"/>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountNumber-web-domainName-ssh-SshUsername:GET&amp;action=history"/>
		<updated>2026-05-22T12:01:45Z</updated>
		<subtitle>Revision history for this page on the wiki</subtitle>
		<generator>MediaWiki 1.18.0</generator>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Accounts-accountNumber-web-domainName-ssh-SshUsername:GET&amp;diff=2250&amp;oldid=prev</id>
		<title>Mike.robski: 1 revision: Release 109</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountNumber-web-domainName-ssh-SshUsername:GET&amp;diff=2250&amp;oldid=prev"/>
				<updated>2015-07-24T18:16:39Z</updated>
		
		<summary type="html">&lt;p&gt;1 revision: Release 109&lt;/p&gt;
&lt;table class='diff diff-contentalign-left'&gt;
		&lt;tr valign='top'&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;← Older revision&lt;/td&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;Revision as of 18:16, 24 July 2015&lt;/td&gt;
		&lt;/tr&gt;&lt;/table&gt;</summary>
		<author><name>Mike.robski</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Accounts-accountNumber-web-domainName-ssh-SshUsername:GET&amp;diff=2249&amp;oldid=prev</id>
		<title>Doron.sireni at 23:53, 17 April 2015</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountNumber-web-domainName-ssh-SshUsername:GET&amp;diff=2249&amp;oldid=prev"/>
				<updated>2015-04-17T23:53:40Z</updated>
		
		<summary type="html">&lt;p&gt;&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;= GET /accounts/{accountNumber}/web/{domainName}/ssh/{username} =&lt;br /&gt;
Returns details of an ssh account.&lt;br /&gt;
&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /accounts/{accountNumber}/web/{domainName}/ssh/{username}&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
; accountNumber - ''string''&lt;br /&gt;
: The user account of the web site owner&lt;br /&gt;
; domainName - ''string''&lt;br /&gt;
: The domain name of the website&lt;br /&gt;
; username - ''string''&lt;br /&gt;
: The username of the ssh account&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
{{Authorization}}&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
   &amp;quot;username&amp;quot;: &amp;quot;{username}&amp;quot;,&lt;br /&gt;
   &amp;quot;status&amp;quot;: &amp;quot;{status}&amp;quot;,&lt;br /&gt;
   &amp;quot;domain&amp;quot;: &amp;quot;{domain}&amp;quot;,&lt;br /&gt;
   &amp;quot;type&amp;quot;: &amp;quot;{sshAccountType}&amp;quot;,&lt;br /&gt;
   &amp;quot;server&amp;quot;: &amp;quot;{server}&amp;quot;&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Response parameters ====&lt;br /&gt;
&lt;br /&gt;
; username - ''string''&lt;br /&gt;
: The username of the ssh account&lt;br /&gt;
&lt;br /&gt;
; status - ''string''&lt;br /&gt;
: Status of the ssh account (needs explanation)&lt;br /&gt;
&lt;br /&gt;
; domain - ''string''&lt;br /&gt;
: The domain name of the web site&lt;br /&gt;
&lt;br /&gt;
; sshAccountType - ''string''&lt;br /&gt;
: The type of the ssh account, one of &amp;quot;www.account.master&amp;quot;, &amp;quot;www.account.shell&amp;quot;. There is always one master account which can't be deleted. There are also regular ssh accounts.&lt;br /&gt;
&lt;br /&gt;
; server - ''string''&lt;br /&gt;
: The ssh server name for the ssh account.&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
; 200 OK&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized&lt;br /&gt;
: The supplied credentials are invalid or do not provide permissions for this operation&lt;br /&gt;
&lt;br /&gt;
; 403 Forbidden&lt;br /&gt;
: The authenticated user is not allowed to access this resource&lt;br /&gt;
&lt;br /&gt;
; 404 Not Found&lt;br /&gt;
: The ssh account doesn't exist&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Getting details for an ssh accounts ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET /accounts/acct411359/web/ng-test-website1-20150305-0734.us/ssh/testssh053247&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;username&amp;quot;: &amp;quot;testssh053247&amp;quot;,&lt;br /&gt;
    &amp;quot;status&amp;quot;: &amp;quot;1&amp;quot;,&lt;br /&gt;
    &amp;quot;domain&amp;quot;: &amp;quot;ng-test-website1-20150305-0734.us&amp;quot;,&lt;br /&gt;
    &amp;quot;type&amp;quot;: &amp;quot;www.account.shell&amp;quot;&lt;br /&gt;
}&lt;br /&gt;
&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Web API]]&lt;/div&gt;</summary>
		<author><name>Doron.sireni</name></author>	</entry>

	</feed>